Description

Foreman is using the default Rails logging infrastructure

to log to "log/#{Rails.env}.log"

(see /opt/rh/ruby193/root/usr/share/gems/gems/railties-3.2.8/lib/rails/application/configuration.rb).
Rails is using the "logging" gem for that, as defined in
/opt/rh/ruby193/root/usr/share/gems/gems/logging-1.8.1/lib/logging.rb which says:
appender =

case dev

when String

::Logging::Appenders::RollingFile.new(name, a_opts)

else

::Logging::Appenders::IO.new(name, dev, a_opts)

end

(dev being the device/filename to log to). As we are passing

History

#1 - 02/01/2016 10:44 AM - Dominic Cleal

- Status changed from New to Need more information
The ticket description appears to be truncated. It's very unclear what bug you're trying to report.

#2 - 02/05/2016 06:51 AM - Christian Horn

Description of the problem:
2 logrotate tools beeing active on /var/log/foreman lodfiles:

/var/log/foreman seems to be cared for by 2 mechanisms:
logrotate and a ruby mechanism, this looks like this:

[root@rhel7-sat-61 foreman]# Il /var/log/foreman

[--]

pw—r—r. 1 foreman foreman 0 120 13 03:50 production.20151211.log

pw-r—r-. 1 foreman foreman 40359 12[] 13 03:50 production.20151211.log-20151213
rw-rw-. 1 foreman foreman 86701 1200 17 07:07 production.log

rw-ra—r-. 1 foreman foreman 7196 1201 4 03:09 production.log-20151204.9z
pw-rw—. 1 foreman foreman 7303 120l 5 03:39 production.log-20151205.9z

(-]

Version-Release number of selected component (if applicable):
foreman in Satellite 6.1

bz: https://bugzilla.redhat.com/show_bug.cgi?id=1305013

#3 - 02/05/2016 08:12 AM - Dominic Cleal

- Status changed from Need more information to Feedback
https://bugzilla.redhat.com/show_bug.cgi?id=1305013

Please check a current release, the logging was changed significantly in 1.9. http:/theforeman.org/manuals/1.9/index.html#Releasenotesfor1.9
